Autore Topic: impossibile aggiungere il repo extra  (Letto 242 volte)

Offline pabform

  • *
  • Post: 42
  • Reputazione: 0
  • Siamo ciò che pensiamo
    • Mostra profilo
    • Bad Rooster
impossibile aggiungere il repo extra
« il: 06 Luglio 2016 ore 16:18 »
Salve, questo topic lo apro a distanza di un mesetto da quando provai per la prima volta ad aggiungere il repo extra, provai appena finita l'installazione di chakra, e da allora il risultato dell'operazione è rimasto invariato. Dopo avere aggiunto il repo ed avere eseguito sudo pacman -Syy, giunti al repo extra appare questo messaggio d'errore:
Codice: [Seleziona]
: Sincronizzazione dei database in corso...
 testing                                      202,0 KiB   493K/s 00:00 [#######################################] 100%
 lib32                                         91,5 KiB   338K/s 00:00 [#######################################] 100%
 core                                        1189,7 KiB   316K/s 00:04 [#######################################] 100%
 desktop                                     1056,0 KiB   792K/s 00:01 [#######################################] 100%
 gtk                                          115,9 KiB   388K/s 00:00 [#######################################] 100%
errore: impossibile scaricare il pacchetto 'extra.db' da www-ftp.lip6.fr : The requested URL returned error: 404
errore: impossibile scaricare il pacchetto 'extra.db' da ftp.ciril.fr : The requested URL returned error: 404
errore: impossibile scaricare il pacchetto 'extra.db' da chakra.hostingxtreme.com : The requested URL returned error: 404
errore: impossibile scaricare il pacchetto 'extra.db' da archlinux.puzzle.ch : The requested URL returned error: 404
errore: impossibile scaricare il pacchetto 'extra.db' da free.nchc.org.tw : The requested URL returned error: 404
errore: impossibile aggiornare extra (errore inaspettato)
.
Ripeto, il messaggio è uguale a quello che vidi quando provai ad aggiungere extra la prima volta, e non sono riuscito ad evincere nulla che mi permettesse di capire e cambiare questa situazione.
Se qualcuno ha riscontrato lo stesso messaggio, o ha qualche idea o suggerimento per risolvere la faccenda lo ringrazio se mi sa dare qualche indicazione. Il motivo è ovviamente legato alla mancata installazione di vari software presenti nel suddetto repository, tra i quali il pacchetto dei plugins di cairo-dock (cairo-dock-plugins), sono riuscito ad installare il software ma privo degli indispensabili plugins: ringrazio anticipatamente.
Chakra Ian, PCLinuxOS, Linux Rosa, OpenSuse, Mint,  Debian, Sabayon.

Offline whoami

  • *
  • Post: 1562
  • Reputazione: 64
  • Quando c'era init i log arrivavano in orario!
    • Mostra profilo
Re:impossibile aggiungere il repo extra
« Risposta #1 il: 06 Luglio 2016 ore 16:51 »
La questione è che non esiste più il repo extra...

qui la news (che tanto new non è) http://news.chakra-project.it/?p=1919

se il pacchetto che ti serve non è in [gtk] allora non c'è nei repo, prova a cercare in ccr e se non c'è neanche li bisogna aggiungercelo
echo "VQF AHELME I BI CI WECPF"| tr "ETAOINSHRDLUBCFGJMQPVWZYXK" "A-Z"

Offline pabform

  • *
  • Post: 42
  • Reputazione: 0
  • Siamo ciò che pensiamo
    • Mostra profilo
    • Bad Rooster
Re:impossibile aggiungere il repo extra
« Risposta #2 il: 06 Luglio 2016 ore 17:03 »
Ciao, in CCR cairo-dock e cairo-dock-plugins ci sono e gtk viene caricato regolarmente, tuttavia l'installazione parte regolarmente, ma  verso la fine dell'operazione mi dà:
Codice: [Seleziona]
attenzione: impossibile risolvere "vte-common", una dipendenza di "vte3"
:: Il seguente pacchetto non può essere aggiornato a causa di alcune dipendenze irrisolvibili:
      vte3

:: Vuoi ignorare il seguente pacchetto per questo aggiornamento? [s/N]
e sia che io dica si o dica no l'installazione termina ma i plugins continuano a non esserci, in fondo all'operazione rispondendo si il codice è così:
Codice: [Seleziona]
==> Estrazione dei sorgenti in corso...
  -> Estrazione di webkitgtk-2.4.7.tar.xz usando bsdtar in corso...
==> Rimozione dell'esistente directory $pkgdir/ in corso...
==> Avvio di build() in corso...
patching file Source/WebCore/xml/XMLViewer.css
patching file Source/WebCore/xml/XMLViewer.js
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking for perl... /usr/bin/perl
checking for python... /usr/bin/python
checking for ruby... /usr/bin/ruby
checking for bison... /usr/bin/bison
checking for mv... /usr/bin/mv
checking for grep... /usr/bin/grep
checking for gperf... /usr/bin/gperf
checking for flex... /usr/bin/flex
checking for gawk... gawk
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for a BSD-compatible install... /usr/bin/install -c
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
configure: error: Compiler GCC >= 4.7 or Clang >= 3.3 is required for C compilation
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
The build failed.
Dependencies for `cairo-dock-plugins' are not met, not building...
riesci a capire che cosa non funziona?
« Ultima modifica: 06 Luglio 2016 ore 17:07 da pabform »
Chakra Ian, PCLinuxOS, Linux Rosa, OpenSuse, Mint,  Debian, Sabayon.

Offline whoami

  • *
  • Post: 1562
  • Reputazione: 64
  • Quando c'era init i log arrivavano in orario!
    • Mostra profilo
Re:impossibile aggiungere il repo extra
« Risposta #3 il: 06 Luglio 2016 ore 17:51 »
È che è un ginepraio di dipendenze e pacchetti obsoleti... Io non sono in grado di sbrogliare la matassa, servirebbe che qualcuno chiedesse di rendere orfani i pacchetti in questione, li prendesse in carico e sistemasse la catena...

Si accettano volontari!
(e nel frattempo non si può installare  :( )
echo "VQF AHELME I BI CI WECPF"| tr "ETAOINSHRDLUBCFGJMQPVWZYXK" "A-Z"

Offline pabform

  • *
  • Post: 42
  • Reputazione: 0
  • Siamo ciò che pensiamo
    • Mostra profilo
    • Bad Rooster
Re:impossibile aggiungere il repo extra
« Risposta #4 il: 06 Luglio 2016 ore 17:59 »
Grazie comunque, io sto facendo dei tentativi, vedremo se riesco a combinare qualcosa. Ciao
Chakra Ian, PCLinuxOS, Linux Rosa, OpenSuse, Mint,  Debian, Sabayon.

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo
Re:impossibile aggiungere il repo extra
« Risposta #5 il: 06 Luglio 2016 ore 20:04 »
anche perchè webkitgtk sta nei repo ufficiali: libwebkit-gtk2

Strano che non ci sia un replace...

Offline FranzMari

  • *
  • Post: 2810
  • Reputazione: 103
  • [Senior Packager]
    • Mostra profilo
    • IMHO blog
Re:impossibile aggiungere il repo extra
« Risposta #6 il: 06 Luglio 2016 ore 23:32 »
Come ti avevo già detto i fare nell'altro topic apri una discussione nella sezione giusta e con un titolo adeguato.
Qui chiudo.
«Il valore dell'essere umano si determina nella misura in cui sia grande o piccola la sua capacità di contribuire al bene collettivo.» Jigorō Kanō

 

Template by Homey | Sito ufficiale | Disclaimer